Organization API
Resolve a Service Appointment issue
Resolves the issue. The optional body may identify resolvedByTeamMemberId.
/api/v1/service-appointments/{id}/issues/{issueId}/resolve
Resolves the issue. The optional body may identify resolvedByTeamMemberId.
Resolve a Service Appointment issue. Use an organization API key with service_appointments:issues:write. Check the response envelope and meta.requestId before triggering dependent workflow steps.
Required scopes
service_appointments:issues:writeIdempotency-Key required
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| idrequired | path | string | Service Appointment identifier returned by the Organization API. |
| issueIdrequired | path | string | ISSUE ID path identifier. |
Request body
object
| Field | Type | Description |
|---|---|---|
| resolvedByTeamMemberId | string | Optional unless marked required. |
resolveserviceappointmentissueRequest
{
"resolvedByTeamMemberId": "team_member_123"
}Responses
200
Resolve action envelope
#/components/schemas/OrgApiActionEnvelope
401
Missing or invalid organization API key
#/components/schemas/OrgApiError
402
Organization billing access or an endpoint-specific business quota denied the request
#/components/schemas/OrgApiError
403
Missing required scope: service_appointments:issues:write
#/components/schemas/OrgApiError
429
Rate limit exceeded
#/components/schemas/OrgApiError
Errors
401 Missing or invalid organization API key402 Organization billing access or an endpoint-specific business quota denied the request403 Missing required scope: service_appointments:issues:write429 Rate limit exceeded
Static examples
curl -X POST "$SOLAROS_BASE_URL/api/v1/service-appointments/$SOLAROS_SERVICE_APPOINTMENT/issues/$SOLAROS_ISSUE_ID/resolve" \
-H "Authorization: Bearer $SOLAROS_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $SOLAROS_IDEMPOTENCY_KEY" \
--data '{"resolvedByTeamMemberId":"team_member_123"}'